GET
Quote the next segment

Authorizations

Authorization
string
header
required

Provide your API key in the Authorization header using Bearer auth

Path Parameters

id
string
required

Run ID returned when the workflow was started

Response

OK

Quote of the next segment of a workflow run

object
string

Object type, always workflow.quote

Example:

"workflow.quote"

workflow
string

Workflow ID

Example:

"geekidea/drama-episode"

run_id
string

Run ID

Example:

"run_0192f1c3a7b87c3e9a4f5b6c7d8e9f01"

estimated_cost_usd
number

Amount held on confirmation (USD), settled at the actual cost when the segment ends

Example:

1.25

model_cost_usd
number

Estimated model cost of all steps (USD)

Example:

1.05

fee_usd
number

Workflow fee of all steps (USD)

Example:

0.2

total_cost_usd
number

Total of all steps (USD)

Example:

8.4

steps
object[]

Quote of each step

currency
string

Currency

Example:

"USD"